package com.fzm.mall.server.admin.user_center.enums.status;

import java.util.Arrays;
import java.util.List;
import java.util.stream.Collectors;

/**
 * @author wangp
 * @date 2021/3/23 11:31
 * @description 用户锁定/解锁
 * @since JDK 1.8
 */
public enum UserLockStatusEnum {

    NORMAL(1),//正常
    LOCKING(2);//锁定

    private Integer status;

    UserLockStatusEnum(Integer status) {
        this.status = status;
    }

    public Integer getStatus() {
        return status;
    }

    public static List<Integer> getValueList() {
        return Arrays.stream(UserLockStatusEnum.values())
                .map(UserLockStatusEnum::getStatus)
                .collect(Collectors.toList());
    }

}
